package container

import (
	"errors"
	"fmt"
	"reflect"
)

type LogBroker struct {
	// 调用器
	caller Caller
	// 代码文件
	codeFile string
	// 服务方法
	method string
	// 描述
	description string
}

func newLogBroker(caller Caller, codeFile string, method string, description string) (*LogBroker, error) {
	if caller == nil {
		return nil, errors.New(fmt.Sprintf("调用器不能为空!"))
	}
	return &LogBroker{caller, codeFile, method, description}, nil
}

func (broker *LogBroker) Call(in []reflect.Value) []reflect.Value {
	// Todo 调整Log
	//grmi.Log(session.user, builder.codeFile, builder.method, builder.description)
	return broker.caller(in)
}
