package container

import (
	"fmt"
	"testing"
)

func TestRequestContext_New(t *testing.T) {
	sessionContext, err := NewRequestContext(&ContextMock{})
	if err != nil {
		t.Fatalf("意外错误:%s", err.Error())
	}
	if sessionContext == nil {
		t.Fatalf("创建失败!")
	}
}

func TestRequestContext_New_NullUser(t *testing.T) {
	_, err := NewRequestContext(nil)
	if err == nil {
		t.Fatalf("意外的没有错误!")
	}
	if err.Error() != fmt.Sprintf("Web上下文不能为空!") {
		t.Fatalf("意外错误:%s", err.Error())
	}
}

func TestRequestContext_RequestId(t *testing.T) {
	requestId := "requestId1"
	sessionContext, err := NewRequestContext(&ContextMock{})
	if err != nil {
		t.Fatalf("意外错误:%s", err.Error())
	}
	requestId = "requestId2"
	sessionContext.requestId = requestId
	if sessionContext.RequestId() != requestId {
		t.Fatalf("获取请求标识错误!")
	}
}
