package db

import (
	"LEIT_PM/configuration"
	_ "github.com/denisenkom/go-mssqldb"
	"github.com/go-xorm/xorm"
	"sync"
)

var (
	Config *configuration.RootConfiguration
	engine *xorm.Engine
	lock   sync.Mutex
)

//链接到数据库
func Engine() (*xorm.Engine, error) {
	if engine != nil {
		return engine, nil
	}
	lock.Lock()
	defer lock.Unlock()
	if engine != nil {
		return engine, nil
	}
	engine, err := xorm.NewEngine("mssql", Config.DB.ConnectionString)
	if err != nil {
		return nil, err
	}
	engine.ShowSQL(Config.DB.ShowSQL)
	return engine, nil
}
