package grmi

import (
	"fmt"
	"strings"
)

type RelationField struct {
	Name      string
	Many      bool
	ModelName string
	Condition [][2]*ColumnField
	On        string
}

func NewRelationField(name string, many bool, modelName string, condition ...[2]*ColumnField) *RelationField {
	conditionWhere := make([]string, len(condition))
	for i, columnFields := range condition {
		conditionWhere[i] = fmt.Sprintf("%s = %s", columnFields[0].FullName, columnFields[1].FullName)
	}
	return &RelationField{name, many, modelName, condition, strings.Join(conditionWhere, " and ")}
}
