package rpc

import "testing"

func TestKeepValueWithNull(t *testing.T) {

	returnValue, err := keepValue(nil, "")
	if err != nil {
		t.Fatalf("意外错误:%s", err.Error())
	}
	if returnValue != nil {
		t.Fatalf("返回值不为空!")
	}
}

func TestKeepValueWithString(t *testing.T) {

	parameterValue := "123"
	returnValue, err := keepValue(parameterValue, "")
	if err != nil {
		t.Fatalf("意外错误:%s", err.Error())
	}
	if returnValue != parameterValue {
		t.Fatalf("意外的返回值:%v", returnValue)
	}
}

func TestKeepValueWithInteger(t *testing.T) {

	parameterValue := 123
	returnValue, err := keepValue(parameterValue, "")
	if err != nil {
		t.Fatalf("意外错误:%s", err.Error())
	}
	if returnValue != parameterValue {
		t.Fatalf("意外的返回值:%v", returnValue)
	}
}
