package models

type User struct {
	// key
	IdentityKey string
	// 用户名
	UserName  string
	FirstName string
	LastName  string
	// 角色
	Role string
}

type Usertab struct {
	Pid            int    `xorm:"not null pk comment('工厂ID') INT(0)" form:"pid" json:"pid"`
	Userid         string `xorm:"not null pk comment('用户ID') VARCHAR(40)" form:"userid" json:"userid"`
	Name           string `xorm:"comment('用户名') VARCHAR(40)" form:"name" json:"name"`
	Password       string `xorm:"comment('密码') VARCHAR(255)" form:"password" json:"password"`
	Nickname       string `xorm:"comment('用户昵称') VARCHAR(40)" form:"nickname" json:"nickname"`
	Depid          int    `xorm:"comment('归属部门') int(11)" form:"depid" json:"depid"`
	Phone          string `xorm:"comment('手机号') VARCHAR(20)" form:"phone" json:"phone"`
	Avatar         string `xorm:"comment('用户头像') VARCHAR(128)" form:"avatar" json:"avatar"`
	Email          string `xorm:"comment('邮箱') VARCHAR(40)" form:"email" json:"email"`
	Status         string `xorm:"comment('状态') VARCHAR(1)" form:"status" json:"status"`
	Gender         string `xorm:"comment('性别') VARCHAR(1)" form:"gender" json:"gender"`
	Position       string `xorm:"comment('岗位') VARCHAR(40)" form:"position" json:"position"`
	Role           string `xorm:"comment('用户角色') VARCHAR(40)" form:"role" json:"role"`
	RoleId         int    `xorm:"comment('角色编码') int(11)" json:"role_id"` // 角色编码
	Remark         string `xorm:"comment('备注') VARCHAR(100)" form:"remark" json:"remark"`
	Createtime     string `xorm:"comment('创建时间') VARCHAR(14)" form:"createtime" json:"createtime"`
	Lastmodifytime string `xorm:"comment('最近一次更新时间') VARCHAR(14)" form:"lastmodifytime" json:"lastmodifytime"`
	Lastmodify     string `xorm:"comment('最近一次更新人员') VARCHAR(40)" form:"lastmodify" json:"lastmodify"`
}
